
body {
  background-color: lavender;
  font: 300 14px/20px 'Open Sans',sans-serif;
}

img[src$='#center']
{
    display: block;
    margin: 0.7rem auto; /* you can replace the vertical '0.7rem' by
                            whatever floats your boat, but keep the
                            horizontal 'auto' for this to work */
    /* whatever else styles you fancy here */
}

img[src$='#floatleft']
{
    float:left;
    margin: 0.7rem;      /* this margin is totally up to you */
    /* whatever else styles you fancy here */
}

img[src$='#floatright']
{
    float:right;
    margin: 0.7rem;      /* this margin is totally up to you */
    /* whatever else styles you fancy here */
}

a:focus, a:active {
  outline: none;
}

hr[data-style~='bold'] {
  background-color: #000 !important;
  height: 4px !important;
}

hr {
  background-color: #000 !important;
  height: 2px !important;
}

.book-page {
  background-image: url("../images/parchment-paper-light-texture.jpg"); 
  background-repeat: repeat-y;
  border: solid 1px #000;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  margin-top: 4px;
}

.book-page strong {
  text-shadow: 1px 1px 1px #000000;
}

.book-page blockquote {
  font-style: italics;
  text-shadow: 1px 1px 1px #000000;
}

.book-page H1 {
  text-shadow: 1px 1px 1px #000000;
}

.book-menu .book-menu-content {
  background-image: url("../images/burlywood-leather-background-texture.jpg");
  width: 256px !important;
  color: #E4D9C3;
  border: solid 1px #582817;
  text-shadow: 1px 1px 1px #000000;
  margin-top: 4px;
}

.book-search input {
  font-size: small;
}

.book-brand {
  padding: 7px;
}

.book-brand img {
  height: 3em;

} 

/*
.markdown .book-tabs .book-tabs-content {
  border-top: none;
}
*/

.markdown .book-tabs input[type="radio"]:checked + label {
  border-bottom: 0px;
  border-top: solid 1px #aaa;
  border-left: solid 1px #aaa;
  border-right: solid 1px #aaa;
}

.markdown b {
  font-weight: bold !important;
}

/* highlight */

.highlight-wrapper {
  position: relative;
  border: solid 1px gray;
  padding: 10px;
}

.highlight-link {
  position: absolute;
  bottom: 0;
  right: 0;
}

/* spoiler */

.spoiler_block
{
  border-left: 1px solid silver;
  padding-left: 10px;
  margin-bottom: 1em;
}

.spoiler_block_content
{

}

.spoiler_block_head
{
  padding: 3px;
  background: #eee;
  margin-bottom: 0;
}

.spoiler-block-icon-zoom-in {
  background-image: url(../images/zoom_in.png);
}

.spoiler-block-icon-zoom-out {
  background-image: url(../images/zoom_out.png);
}

.spoiler-block-icon {
  background-position: 0% 50%;
  background-repeat: no-repeat;
  padding-left: 20px;
  padding-top: 2px;
  padding-bottom: 3px;
}

/* summary */

summary:focus, summary:active {
  outline: none;
}

summary {
  font-style: italics;
}

.commentary_block
{
  border-left: 1px solid silver;
  padding-left: 10px;
  margin-bottom: 1em;
}

.commentary_block_content
{

}

.commentary_block_head
{
  padding: 3px;
  background: #fed;
  margin-bottom: 0;
}

.commentary-block-icon-zoom-in {
  background-image: url(../images/commentary-plus-32.png);
}

.commentary-block-icon-zoom-out {
  background-image: url(../images/commentary-minus-32.png);
}

.commentary-block-icon {
  background-position: 0% 50%;
  background-repeat: no-repeat;
  padding-left: 40px;
  padding-top: 0;
  padding-bottom: 15px;
}

/************************************
timeline
************************************/

/* The actual timeline (the vertical ruler) */
.timeline {
  position: relative;
  margin: 0 auto;
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
  content: "";
  position: absolute;
  width: 6px;
  background-color: #444;
  top: 0;
  bottom: 0;
  left: 10%;
  margin-left: -3px;
}

/* Container around content */
.timeline .container {
  padding: 10px 10px 10px 40px;
  margin-top: 10px;
  position: relative;
  /* background-color: gray; */
  width: 90%;
  left: 10%;
}
/* The circles on the timeline */
.timeline .container::after {
  content: "";
  position: absolute;
  width: 25px;
  height: 25px;
  left: -12px;
  background-color: rgb(106, 215, 229);
  border: 4px solid #444;
  top: 0px;
  border-radius: 50%;
  z-index: 1;
}
/* date display */
.timeline .container .date {
  position: absolute;
  top: 22px;
  z-index: 1;
  left: -15%;
  font-size: large;
}

/* Add arrows to the right container (pointing left) */
.timeline .container::before {
  content: " ";
  height: 0;
  position: absolute;
  top: 10px;
  width: 0;
  z-index: 1;
  left: 26px;
  border: medium solid #6ad7e5;
  border-width: 13px 13px 13px 0px;
  border-color: #6ad7e5 #6ad7e5 transparent transparent;
}
/* The actual content */
.timeline .content {
  box-shadow: 0 0 3px 3px #6ad7e5;
  background-color: white;
  position: relative;
  border-radius: 6px;
  transition: box-shadow 0.3s;
  width: 90%
}

/* small shadow change on hover*/
.timeline .content:hover {
  box-shadow: 0 0 3px 4px #6ad7e5;
}

/* card title format */
.timeline .content .title {
  padding: 5px 30px;
  font-weight: bold;
  display: inline-block;
}

/* time moment format*/
.timeline .content .moment {
  color: #c41a16;
  text-align: right;
  position: absolute;
  top: 0;
  right: 0;
  padding: 5px;
}

/* body size */
.timeline .content .body {
  padding: 5px 30px;
}

/* responsive for small devices*/
@media screen and (max-width: 600px) {
  .timeline .container {
    padding: 10px 10px 0px 40px;
    left: 5%;
    width: 95%;
  }
  .timeline .container .date {
    font-size: small;
    transform: rotate(-90deg);
    left: -5%;
    top: 30px;
  }
  .timeline .container::after {
    left: 3px;
  }
  .timeline .content .body {
    padding: 5px 5px;
  }
  .timeline .content .moment {
    position: relative;
  }
}
